import React from "react";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization"; 

export default (props)=>{
    let {onClick,itemIndex}=props
    let renderProps={
        onClick:(e)=>{return onClick(itemIndex)},
    }

    let { renderComponent, ...basicProps} = props;

    return <SkeletonThemeWrapper basicProps={basicProps} renderProps={renderProps} component={renderComponent} />;

}
